# types.h File Reference

`#include <sys/_types.h>`

Go to the source code of this file.

## Defines

#define | NULL 0x0

## Typedefs

typedef __blkcnt_t | blkcnt_t
typedef __blksize_t | blksize_t
typedef char * | caddr_t
typedef __fflags_t | fflags_t
typedef __gid_t | gid_t
typedef __ino_t | ino_t
typedef short | Int16
typedef __int16_t | int16_t
typedef long | Int32
typedef __int32_t | int32_t
typedef __int64_t | int64_t
typedef char | Int8
typedef __int8_t | int8_t
typedef __int64_t | off_t
typedef int | pid_t
typedef int | pidType
typedef __uint64_t | quad_t
typedef int | size_t
typedef __ssize_t | ssize_t
typedef __time_t | time_t
typedef unsigned char | u_char
typedef unsigned int | u_int
typedef __uint16_t | u_int16_t
typedef __uint32_t | u_int32_t
typedef __uint64_t | u_int64_t
typedef __uint8_t | u_int8_t
typedef unsigned long | u_long
typedef unsigned short | u_short
typedef __uid_t | uid_t
typedef unsigned int | uInt
typedef unsigned short | uInt16
typedef unsigned int | uInt32
typedef unsigned char | uInt8
typedef __uint32_t | vm_offset_t

## Enumerations

enum | bool { FALSE = 0, TRUE = 1 }

## Define Documentation

#define NULL 0x0

Definition at line 36 of file types.h.

## Typedef Documentation

typedef __blkcnt_t blkcnt_t

Definition at line 103 of file types.h.

typedef __blksize_t blksize_t

Definition at line 104 of file types.h.

typedef char* caddr_t

Definition at line 97 of file types.h.

typedef __fflags_t fflags_t

Definition at line 105 of file types.h.

typedef __gid_t gid_t

Definition at line 102 of file types.h.

typedef __ino_t ino_t

Definition at line 72 of file types.h.

typedef short Int16

Definition at line 44 of file types.h.

typedef __int16_t int16_t

Definition at line 82 of file types.h.

typedef long Int32

Definition at line 45 of file types.h.

typedef __int32_t int32_t

Definition at line 87 of file types.h.

typedef __int64_t int64_t

Definition at line 92 of file types.h.

typedef char Int8

Definition at line 43 of file types.h.

typedef __int8_t int8_t

Definition at line 77 of file types.h.

typedef __int64_t off_t

Definition at line 98 of file types.h.

typedef int pid_t

Definition at line 62 of file types.h.

typedef int pidType

Definition at line 60 of file types.h.

typedef __uint64_t quad_t

Definition at line 52 of file types.h.

typedef int size_t

Definition at line 63 of file types.h.

typedef __ssize_t ssize_t

Definition at line 96 of file types.h.

typedef __time_t time_t

Definition at line 108 of file types.h.

typedef unsigned char u_char

Definition at line 54 of file types.h.

typedef unsigned int u_int

Definition at line 56 of file types.h.

typedef __uint16_t u_int16_t

Definition at line 48 of file types.h.

typedef __uint32_t u_int32_t

Definition at line 49 of file types.h.

typedef __uint64_t u_int64_t

Definition at line 50 of file types.h.

typedef __uint8_t u_int8_t

Definition at line 47 of file types.h.

typedef unsigned long u_long

Definition at line 57 of file types.h.

typedef unsigned short u_short

Definition at line 55 of file types.h.

typedef __uid_t uid_t

Definition at line 101 of file types.h.

typedef unsigned int uInt

Definition at line 42 of file types.h.

typedef unsigned short uInt16

Definition at line 40 of file types.h.

typedef unsigned int uInt32

Definition at line 41 of file types.h.

typedef unsigned char uInt8

Definition at line 39 of file types.h.

typedef __uint32_t vm_offset_t

Definition at line 99 of file types.h.

## Enumeration Type Documentation

enum bool

Enumerator:

  FALSE |
  TRUE |

Definition at line 67 of file types.h.